CREATE TABLE FLIGHTS (
 ID				INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
 PILOT_ID		INTEGER UNSIGNED NOT NULL,
 CREATED		DATETIME(3) NOT NULL,
 END_TIME		DATETIME,
 AIRLINE        CHAR(3) NOT NULL,
 FLIGHT         SMALLINT UNSIGNED NOT NULL DEFAULT 0,
 FLIGHT_NUM		VARCHAR(14) NOT NULL,
 EQTYPE			VARCHAR(16) NOT NULL,
 CRUISE_ALT		VARCHAR(8),
 AIRPORT_D		CHAR(3) NOT NULL,
 AIRPORT_A		CHAR(3) NOT NULL,
 AIRPORT_L		CHAR(3),
 REMOTE_ADDR	VARBINARY(16) NOT NULL,
 REMOTE_HOST	VARCHAR(128) NOT NULL,
 ROUTE			TEXT,
 REMARKS		TEXT CHARACTER SET utf8mb4,
 FSVERSION		SMALLINT NOT NULL,
 OFFLINE		BOOLEAN NOT NULL DEFAULT FALSE,
 PIREP			BOOLEAN NOT NULL DEFAULT FALSE,
 ARCHIVED		BOOLEAN NOT NULL DEFAULT FALSE,
 SCHED_VALID	BOOLEAN NOT NULL DEFAULT FALSE,
 DISPATCHER   	TINYINT UNSIGNED NOT NULL DEFAULT 0,
 MP				BOOLEAN NOT NULL DEFAULT FALSE,
 CLIENT_BUILD	SMALLINT NOT NULL DEFAULT 0,
 BETA_BUILD		SMALLINT NOT NULL DEFAULT 0,
 FDR            TINYINT UNSIGNED NOT NULL DEFAULT 0,
 SIM_MAJOR      TINYINT UNSIGNED NOT NULL DEFAULT 1,
 SIM_MINOR      TINYINT UNSIGNED NOT NULL DEFAULT 0,
 TX				SMALLINT UNSIGNED NOT NULL DEFAULT 2200,
 APTYPE			TINYINT UNSIGNED NOT NULL DEFAULT 0,
 PLATFORM		TINYINT UNSIGNED NOT NULL DEFAULT 0,
 IS64			BOOLEAN NOT NULL DEFAULT FALSE,
 ACARSS64		BOOLEAN NOT NULL DEFAULT FALSE,			
 PRIMARY KEY (ID),
 FOREIGN KEY (PILOT_ID) REFERENCES common.USERDATA(ID) ON UPDATE CASCADE,
 FOREIGN KEY (AIRPORT_D) REFERENCES common.AIRPORTS(IATA) ON UPDATE CASCADE,
 FOREIGN KEY (AIRPORT_A) REFERENCES common.AIRPORTS(IATA) ON UPDATE CASCADE,
 FOREIGN KEY (EQTYPE) REFERENCES common.AIRCRAFT(NAME) ON UPDATE CASCADE,
 FOREIGN KEY (AIRLINE) REFERENCES common.AIRLINES(CODE) ON UPDATE CASCADE,
) ROW_FORMAT=DYNAMIC;

CREATE INDEX FLIGHT_AP_IDX ON FLIGHTS(AIRPORT_D, AIRPORT_A);
CREATE INDEX FLIGHT_DT_IDX ON FLIGHTS(CREATED);
